Subject: Re: [http] Git error messages reveal password encoded in the URL

From: Jakub Narebski <[email-masked]>
Date: Mon, 19 Jul 2010 23:10:55 +0200

Dnia poniedziałek 19. lipca 2010 23:05, Jacob Helwig napisał:
> On Mon, Jul 19, 2010 at 14:02, Jakub Narebski <[email-masked]> wrote:
>> Ketan Padegaonkar <[email-masked]> writes:
>>
>>> We use http to serve our git repos, in order for git to not ask me a
>>> username/password everytime,
>>
>> Errr... WTF?  Can't you configure SSH (use ssh-add, perhaps together with
>> tool such as keychain) to use public key based authentication?
>>
> 
> I don't think SSH/ssh-agent/pubkey would actually help, given that
> it's a https URL.  Unless I'm missing something here?

I was referring to 'we use http [...] _in order_ for git to not ask me
a username/password everywhere'.  I just noted that you can make git
not ask a username/password everywhere when using ssh:// URLs.

-- 
Jakub Narebski
Poland